linux-lts-vivid: 3.19.0-32.37~14.04.1 -proposed tracker

Bug #1508574 reported by Brad Figg on 2015-10-21
12
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Kernel SRU Workflow
Medium
Unassigned
Automated-testing
Medium
Canonical Kernel Team
Certification-testing
Medium
Canonical Hardware Certification
Prepare-package
Medium
Luis Henriques
Prepare-package-meta
Medium
Luis Henriques
Prepare-package-signed
Medium
Luis Henriques
Promote-to-proposed
Medium
Chris J Arges
Promote-to-security
Medium
Adam Conrad
Promote-to-updates
Medium
Adam Conrad
Regression-testing
Medium
Canonical Platform QA Team
Security-signoff
Medium
Steve Beattie
Verification-testing
Medium
Canonical Kernel Team
linux-lts-vivid (Ubuntu)
Medium
Unassigned
Trusty
Medium
Unassigned

Bug Description

This bug is for tracking the 3.19.0-32.37~14.04.1 upload package. This bug will contain status and testing results related to that upload.

For an explanation of the tasks and the associated workflow see: https://wiki.ubuntu.com/Kernel/kernel-sru-workflow
kernel-stable-Prepare-package-start:Wednesday, 21. October 2015 19:02 UTC
kernel-stable-master-bug:1508381
kernel-stable-Prepare-package-end:Thursday, 22. October 2015 19:02 UTC
kernel-stable-Promote-to-proposed-start:Thursday, 22. October 2015 19:02 UTC
kernel-stable-Promote-to-proposed-end:Friday, 23. October 2015 16:31 UTC
kernel-stable-Verification-testing-start:Friday, 23. October 2015 18:00 UTC
kernel-stable-Certification-testing-start:Friday, 23. October 2015 18:00 UTC
kernel-stable-Security-signoff-start:Friday, 23. October 2015 18:01 UTC
proposed-announcement-sent:True
kernel-stable-Regression-testing-start:Friday, 23. October 2015 18:01 UTC
kernel-stable-Security-signoff-end:Friday, 23. October 2015 19:00 UTC
kernel-stable-Certification-testing-end:Wednesday, 04. November 2015 16:16 UTC
kernel-stable-Regression-testing-end:Wednesday, 04. November 2015 16:16 UTC
kernel-stable-Promote-to-updates-start:Wednesday, 04. November 2015 16:21 UTC
kernel-stable-Promote-to-updates-end:Wednesday, 04. November 2015 16:56 UTC
kernel-stable-phase:Released
kernel-stable-phase-changed:Wednesday, 04. November 2015 18:02 UTC

Brad Figg (brad-figg) on 2015-10-21
tags: added: kernel-release-tracking-bug
tags: added: block-proposed-trusty
tags: added: trusty
Changed in kernel-sru-workflow:
status: New → In Progress
importance: Undecided → Medium
Changed in linux-lts-vivid (Ubuntu):
importance: Undecided → Medium
Changed in linux-lts-vivid (Ubuntu Trusty):
importance: Undecided → Medium
Luis Henriques (henrix) on 2015-10-22
Changed in linux-lts-vivid (Ubuntu):
status: New → Invalid

All builds are complete, packages in this bug can be copied to -proposed.

description: updated
Chris J Arges (arges) wrote :

Promoted to proposed:
 linux-lts-vivid | 3.19.0-32.37~14.04.1 | trusty-proposed | source
 linux-meta-lts-vivid | 3.19.0.32.19 | trusty-proposed | source
 linux-signed-lts-vivid | 3.19.0-32.37~14.04.1 | trusty-proposed | source

Here's the relevant information:

 trusty linux-lts-vivid 3.19.0-32.37~14.04.1 REGR summary<REGN: 4 REGR: 1 MISS: 98 FAIL: 20 GOOD: 11>

Please verify test results in http://people.canonical.com/~kernel/status/adt-matrix/overall.txt

description: updated
Brad Figg (brad-figg) on 2015-10-23
description: updated
Brad Figg (brad-figg) on 2015-10-23
description: updated
Luis Henriques (henrix) wrote :

adt-matrix: trusty linux-lts-vivid 3.19.0-32.37~14.04.1 MISS summary<MISS: 4 REGR: 27 FAIL: 44 GOOD: 63>

Luis Henriques (henrix) wrote :

We need to get this kernel released due to bug #1508510. Marking certification task as 'Invalid'

tags: added: qa-testing-passed
Brad Figg (brad-figg) on 2015-11-04
description: updated
description: updated
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package linux-lts-vivid - 3.19.0-32.37~14.04.1

---------------
linux-lts-vivid (3.19.0-32.37~14.04.1) trusty; urgency=low

  [ Luis Henriques ]

  * Release Tracking Bug
    - LP: #1508574

  [ Joseph Salisbury ]

  * SAUCE: storvsc: use small sg_tablesize on x86
    - LP: #1495983

  [ Phidias Chiang ]

  * SAUCE: dma: dw_dmac: Workaround for stop probing on HP X360 laptop v2
    - LP: #1501580

  [ Tim Gardner ]

  * [Config] Add MMC modules sufficient for net booting
    - LP: #1502772

  [ Upstream Kernel Changes ]

  * USB: whiteheat: fix potential null-deref at probe
    - LP: #1478826
    - CVE-2015-5257
  * dcache: Handle escaped paths in prepend_path
    - LP: #1441108
    - CVE-2015-2925
  * vfs: Test for and handle paths that are unreachable from their mnt_root
    - LP: #1441108
    - CVE-2015-2925
  * hv_netvsc: Add support to set MTU reservation from guest side
    - LP: #1494431
  * hv_netvsc: Add close of RNDIS filter into change mtu call
    - LP: #1494431
  * powerpc/eeh: Fix missed PE#0 on P7IOC
    - LP: #1502982
  * powerpc/powernv: display reason for Malfunction Alert HMI.
    - LP: #1482343
  * powerpc/powernv: Pull all HMI events before panic.
    - LP: #1482343
  * powerpc/powernv: Invoke opal_cec_reboot2() on unrecoverable machine
    check errors.
    - LP: #1482343
  * powerpc/powernv: Invoke opal_cec_reboot2() on unrecoverable HMI.
    - LP: #1482343
  * powerpc/eeh: Fix PE#0 check in eeh_add_to_parent_pe()
    - LP: #1502982
  * HID: i2c-hid: The interrupt should be level sensitive v2
    - LP: #1501187
  * HID: i2c-hid: Add support for ACPI GPIO interrupts v2
    - LP: #1501187

 -- Luis Henriques <email address hidden> Thu, 22 Oct 2015 09:29:20 +0100

Changed in linux-lts-vivid (Ubuntu Trusty):
status: New → Fix Released
Brad Figg (brad-figg) on 2015-11-04
description: updated

The package has been published and the bug is being set to Fix Released

Changed in kernel-sru-workflow:
status: In Progress → Fix Released
description: updated
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers